Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class EnvelopedDataParser

    java.lang.Object
      org.bouncycastle.asn1.cms.EnvelopedDataParser

    public class EnvelopedDataParser

extends java.lang.Object

     EnvelopedData ::= SEQUENCE {
         version CMSVersion,
         originatorInfo [0] IMPLICIT OriginatorInfo OPTIONAL,
         recipientInfos RecipientInfos,
         encryptedContentInfo EncryptedContentInfo,
         unprotectedAttrs [1] IMPLICIT UnprotectedAttributes OPTIONAL
     }

Constructor Summary
`EnvelopedDataParser(ASN1SequenceParser seq)`

Method Summary
`EncryptedContentInfoParser` | `getEncryptedContentInfo()`
`OriginatorInfo` | `getOriginatorInfo()`
`ASN1SetParser` | `getRecipientInfos()`
`ASN1SetParser` | `getUnprotectedAttrs()`
`DERInteger` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvelopedDataParser

    public EnvelopedDataParser(ASN1SequenceParser seq)
                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getVersion

    public DERInteger getVersion()

### getOriginatorInfo

    public OriginatorInfo getOriginatorInfo()
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRecipientInfos

    public ASN1SetParser getRecipientInfos()
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### getEncryptedContentInfo

    public EncryptedContentInfoParser getEncryptedContentInfo()
                                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getUnprotectedAttrs

    public ASN1SetParser getUnprotectedAttrs()
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD